import { RecordTemplate, ResponseAPI } from '../schema/index.js';
type Fetcher = typeof fetch;
export declare class RecordRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    update(contractId: string, records: RecordTemplate[]): Promise<ResponseAPI>;
    remove(contractId: string, labels: string[]): Promise<ResponseAPI>;
}
export {};
//# sourceMappingURL=records.d.ts.map